#
# spec file for package squirrelmail (Version 1.4.20)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions popt post-build-checks pwdutils rpm sed sysvinit tar texinfo timezone util-linux zlib

%define 		extra_ver RC2

Name:           squirrelmail
BuildRequires:  apache2-devel libapr-util1-devel pcre-devel
Version:        1.4.20
Release:        0.1
Requires:       mod_php_any
Requires:       php-gettext
Requires:       php-iconv
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-session
AutoReqProv:    on
Group:          Productivity/Networking/Email/Clients
License:        GPL v2 or later
Url:            http://www.squirrelmail.org
Summary:        a web-mailer written in php4
%define sqm_path	/srv/www/htdocs/squirrelmail
%define b_sqm_path	$RPM_BUILD_ROOT%{sqm_path}
%define sqm_doc		%{_defaultdocdir}/squirrelmail
%define b_sqm_doc	$RPM_BUILD_ROOT%{sqm_doc}
Source0:        %{name}-%{version}-%{extra_ver}.tar.bz2
Source1:        config.php
Source2:        README.SUSE
Source3:        squirrelmail.conf
Source4:        %{name}-%{version}-%{extra_ver}.tar.bz2.md5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Squirrelmail is a web-mail reader and writer written in php4. It
supports adressbook, ldap searches and many other plugins.



Authors:
--------
    Luke Ehresman <luke@squirrelmail.org>     http://www.css.tayloru.edu/~lehresma
    Nathan Ehresman <nathan@squirrelmail.org> http://www.css.tayloru.edu/~nehresma
    Gustav Foseid <gustavf@squirrelmail.org>  http://www.initio.no
    Pl Lberg <pallo@squirrelmail.org>       http://www.initio.no
    Shane Wilson
    Steve Gare                                http://www.xantara.co.uk
    Gerrit Padgham <gpadgham@commnav.com>
    Matt Phillips <mphillip@commnav.com>
    Lewis Bergman
    Bryan Stalcup <bryan@stalcup.net>
    Tyler Akins

%debug_package
%prep
%setup -q -n %{name}-%{version}-%{extra_ver}

%build
rm -f functions/mime.php.orig
cp %{S:1} config/
cp %{S:2} .

%install
install -d -m 0755 %{b_sqm_path}
cp -ra * %{b_sqm_path}/
chmod 770 %{b_sqm_path}/data
chmod 660 %{b_sqm_path}/data/*
rm -rf %{b_sqm_path}/plugins/calendar
install -d -m 0770 $RPM_BUILD_ROOT/var/lib/squirrelmail/attach
mkdir -p $RPM_BUILD_ROOT/etc/apache2/conf.d
cp %{S:3} $RPM_BUILD_ROOT/etc/apache2/conf.d
# cleanup
rm -rf $RPM_BUILD_ROOT%{sqm_path}/contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# AUTHORS, LICENSE now in doc directory
%doc %attr(-  root  root) doc README.SUSE
%config %{_sysconfdir}/apache2/conf.d/*.conf
%dir %{sqm_path}
%dir %{sqm_path}/config
%config %{sqm_path}/config/config.php
%config %{sqm_path}/config/config_local.php
%{sqm_path}/config/conf.pl
%{sqm_path}/config/config_default.php
%{sqm_path}/config/index.php
%{sqm_path}/config/.htaccess
%{sqm_path}/class
%{sqm_path}/configure
%{sqm_path}/[^c]*
%attr(-, root, www) %{sqm_path}/data
%dir %attr(-, root, www) /var/lib/squirrelmail
%dir %attr(-, root, www) /var/lib/squirrelmail/attach

%changelog
* Tue Aug 18 2009 - crrodriguez@suse.de
- VUL-0: SquirrelMail multiple vulnerabilities [#503063]
* Tue May 12 2009 - crrodriguez@suse.de
- patch level upgrade to 1.4.18, fixes CVE-2009-1578, CVE-2009-1579
  CVE-2009-1580,CVE-2009-1581 [bnc#503063]
* Sat Jan 24 2009 - crrodriguez@suse.de
- ensure we dont have regressions like BNC#468787 caused by API
  changes by applying a patch level version of update to 1.4.17
* Mon Dec 01 2008 - crrodriguez@suse.de
- fix XSS problem CVE-2008-2379 [BNC#450379]
* Wed Nov 12 2008 - crrodriguez@suse.de
- fix CVE-2008-3663 [BNC#429793]
* Fri Aug 17 2007 - ltinkl@suse.cz
- fix config files being overwritten (#283381)
* Thu May 10 2007 - prusnak@suse.cz
- updated to 1.4.10a
  * fixed:
    - HTML glitches (#1608798, #1628639, #1521389, #1548394, #1704686)
    - rare bug in forwarding as attachment from some search results
    - wrong $_SERVER['REQUEST_URI'] value causing wrong links in the [more]
  and [less] links in read_body.php
    - URL to send read receipts from read_body (#1637572)
    - high memory usage when forwarding messages with attachments
    - filename extraction from attachments
    - reply to all duplicating the address from Reply-To
    - "Unknown Sender" on message after reading a digest (#1673047)
    - Priority and Receipt compose options being reset after return from
  HTML addressbook (#1673056)
    - sorting of folder list with non-. delimiter (#1593229)
    - issues with filters plugin (#1634735)
    - reduce (largely theoretical) chance of reusing existing attachment
  filenames
    - unify accepted versions for imap_server_type and set_defaults (#1629722)
    - make compose use get_identities() rather than fiddling with identities
  by itself, resolving a problem in the listcommands plugin (#1663762)
    - if a date-header cannot be parsed, display the unparsed version as a
  better-than-nothing alternative
    - only display "+" symbol on multipart/mixed messages, e.g. those with
  real attachments
    - session not correctly handled on webmail.php (#1685031)
    - session_id reporting session id when no active session (#1685031)
    - sqm_baseuri moved to strings.php (#1685114)
    - security: HTML filter to counter further XSS exploits:
  * HTML attachments containing 'data:' URLs
  * Internet Explorer-specific charset conversion exploits
  * request forgery through included images
  * CVE-2007-1262
  * added:
    - warning about magic_quotes_* in configtest
    - sq_change_text_domain() for plugins to use when switching text domains
    - new language: Frisian
  * dropped:
    - obsolete ORDB RBL from filters plugin (#1629398)
    - redundant call to session_register, which could trigger a segfault
  in PHP 4.4.5 (#1664155)
* Thu Mar 08 2007 - prusnak@suse.cz
- changed access config (squirrelmail.conf):
  * allow /srv/www/htdocs/squirrelmail/themes/css [#252557]
* Tue Dec 19 2006 - prusnak@suse.cz
- fixed overwrite of config/config_local.php [#229559]
* Tue Dec 12 2006 - prusnak@suse.cz
- update to 1.4.9a
  * fix CVE-2006-6142 [#227849]
* Thu Dec 07 2006 - anosek@suse.cz
- added description of Squirrelmail and Pear DB issue
  to README.SUSE [#178982]
* Mon Nov 13 2006 - mjancar@suse.cz
- fix a typo in preg_split
- set secure php options in squirrelmail.conf to not depend
  on global php configuration
* Wed Sep 06 2006 - mjancar@suse.cz
- update to 1.4.8
  * fix CVE-2006-4019 overwriting other user prefs (#199133)
* Tue Jul 11 2006 - mjancar@suse.cz
- update to 1.4.7
  * fix CVE-2006-2842 local file inclusion (#181148)
* Wed Feb 08 2006 - anicka@suse.cz
- fix sending mails on PHP5 (#146573)
- various security fixes from CVS:
  * MagicHTML fix (CVE-2006-0195)
  * prohibit IMAP injection attempts (CVE-2006-0377)
  * fix XSS in webmail.php (CVE-2006-0188)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 01 2005 - mjancar@suse.cz
- fix filelist
- include updated config.php
* Thu Sep 01 2005 - mjancar@suse.cz
- add php-mbstring and php-iconv to Requires (#114651)
- add php-openssl to Requires (#112808)
- use IMAP over SSL by default (#105943)
* Mon Aug 08 2005 - anicka@suse.cz
- remove calendar plugin (shared_calendars included in squirrelmail-plugins)
* Thu Jul 14 2005 - cthiel@suse.de
- update to version 1.4.5
* Tue Jul 12 2005 - mjancar@suse.cz
- fix CAN-2005-2095 unauthorized changing of variables (#94945)
* Fri Jun 24 2005 - mjancar@suse.cz
- fix CAN-2005-1769 XSS vulnerability (#90509)
* Thu May 12 2005 - mjancar@suse.cz
- security fixes (#74717)
  * fix SQL injection vulnerability in addressbook (CAN-2004-0521)
  * fix Frame content changing in webmail.php (CAN-2005-0103)
  * fix XSS vulnerability in webmail.php (CAN-2005-0104)
* Thu Mar 10 2005 - postadal@suse.cz
- fixed owner, group and permissions of some files
  (don't use wwwrun)
* Mon Mar 07 2005 - mjancar@suse.cz
- change php4 requires to version independent
* Fri Mar 04 2005 - postadal@suse.cz
- removed unneeded requirements from needforbuild
  (gettext imap imap-devel ispell php4)
* Tue Dec 21 2004 - sbrabec@suse.cz
- Fixed cross site scripting vulnerability (CAN-2004-1036, #49182).
- Fixed information disclosure in default installation (#49071).
* Thu Jun 03 2004 - postadal@suse.cz
- fixed "Content-Type" XSS vulnarability (RS-2004-1) [#41482]
* Mon Apr 26 2004 - ro@suse.de
- use apache2
* Mon Mar 29 2004 - tcrhak@suse.cz
- fixed bug #37271:
  * added php4-session and php4-gettext to requires
  * made noarch
* Fri Feb 13 2004 - postadal@suse.cz
- updated to version 1.4.2
- added norootforbuild flag to the spec file
* Tue Sep 16 2003 - poeml@suse.de
- requires only "mod_php", since the package can work with the PHP4
  module of both apache2 and apache1 [#30952]
* Mon Aug 11 2003 - postadal@suse.cz
- updated to version 1.4.1
  * TLS support for IMAP and SMTP
  * a lot of changes in config.pl
  * rewritten and fixed a lot of code
- fixed permissions [#25540, #28415]
* Wed Jun 18 2003 - ro@suse.de
- removed unpackaged files from buildroot
* Mon Mar 17 2003 - postadal@suse.cz
- fixed syntax error in restrict.php, options.php and another cross site scripting bug in download.php
* Mon Mar 17 2003 - postadal@suse.cz
- added missing quote to options.php
* Tue Mar 11 2003 - postadal@suse.cz
- fixed security bugs (session and cross site scripting (XSS) bugs)
* Fri Jan 10 2003 - ro@suse.de
- fix filelist
* Tue Jan 07 2003 - postadal@suse.cz
- security fix (sanitize the variables against XSS,
  fixed cross site scripting problem in read_body.php)
- update to version 1.2.10
  * core code and plugins converted to work with register_globals Off
  * introduce session naming to avoid session collision with other apps
  * raised requirements to PHP 4.0.4
  * support for charactersets 8859-4, 8859-13 and windows-1257
  * various E_ALL messages eliminated
  * a lot of fixes
* Tue Sep 10 2002 - postadal@suse.cz
- to work with new PHP you need to read the new README.SuSE [#19091]
* Mon Aug 12 2002 - postadal@suse.cz
- removed IMAP from Requires (not neaded on client site)
* Mon Aug 05 2002 - ro@suse.de
- adapted server-root to /srv/www
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 1.2.7
  * improved support for macosx IMAP server
  * added possibility to use multiple compose windows without loss
  of attachements
  * speed optimizements in generating message-lists
  * a lot of fixes
* Fri Jan 25 2002 - postadal@suse.cz
- Update to squirmail 1.2.4
  * fixed security bug (in html message & in the spellchecker plugin)
* Thu Jan 17 2002 - postadal@suse.cz
- Cleaned up specfile
- New configuration for this version (config.php)
- Update to squirmail 1.2.2
  * speed improvements and fixed a lot of bugs
  * several plugins integrated into the Squirrelmail core
  * improved SMTP error handling, URL parser
  * added authenticated SMTP server support (configure in conf.pl), aliases
  * built-in support for gettext
  * updated Czech, Dutch, Russian, Thai, Swedish, French translations
  * added Indonesian, Portugal, Turkish translations
  * added language aliasing
  * support for multiple identities
  * support for Russian Apache removed (doc/README.russian_apache)
  * the paginator
  * replay citations, ability to mark messages as Read/Unread
  * new themes
  * improved support for newer versions of PHP
  * now able to show all messages of an inbox at the same time
  * fixed a problem saving prefs when using PHP 4.1
* Wed Nov 21 2001 - rbarn@suse.de
- fixed bug in specfile
* Wed Nov 21 2001 - rbarn@suse.de
- Added new package squirrelmail 1.0.6
